Send Documents to Signatories
Send documents to signatories for signature.
POST
/api/{version}/app/sitevault/econsent/sendBody Parameters
Section link for Body Parameters| Name | Description |
|---|---|
documents.version_id__v | The ID of the blank ICF. |
signatory__v.id | The ID of the signatory. |
signatory__v.role__v | The role of the signatory. |
subject__v.id | The ID of the participant. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d "documents.version_id__v=40_1_0" \
-d "signatory__v.id=V5A000000004002" \
-d "signatory__v.role__v=participant__v" \
-d "subject__v.id=V0X000000002001" \
https://myvault.veevavault.com/api/v26.1/app/sitevault/econsent/sendResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Success",
"data": [
{
"status": "SUCCESS",
"message": "Send EConsent action began successfully with job id {job_id}",
"data": {
"subject__v.id": "V0X000000002001",
"documents": [
{
"document.version_id__v": "40_1_0",
"signatory__v": [
{
"signatory__v.id": "V5A000000004002",
"signatory__v.role__v": "participant__v"
}
]
}
]
}
}
]
}Response Details
Section link for Response DetailsThe response lists the participant, the blank ICF, any signatories, and a job ID. You can use the Retrieve Job Status endpoint to query the status of the request using the job ID.